/* maestix.library prototypes */

struct MaestroBase* AllocMaestro(struct TagItem*);
struct MaestroBase* AllocMaestroTags(ULONG,...);
void FlushReceive(struct MaestroBase*);
void FlushTransmit(struct MaestroBase*);
void FreeMaestro(struct MaestroBase*);
ULONG GetStatus(struct MaestroBase*,ULONG);
void ReceiveData(struct MaestroBase*,struct DataMessage*)
void SetMaestro(struct MaestroBase*,struct TagItem*);
void SetMaestroTags(struct MaestroBase*,ULONG,...);
void StartRealtime(struct MaestroBase*,struct TagItem*);
void StartRealtimeTags(struct MaestroBase*,ULONG,...);
void StopRealtime(struct MaestroBase*);
void TransmitData(struct MaestroBase*,struct DataMessage*);
